/*
////////////////////////////////////////////////////////////////////////////////////
//                                                                                //
//  PROGRAMMA: CIVIL DESIGN                                                       //
//                                                                                //
//  FILE: CD-PD2A.DCL     contiene definizioni di dialog utilizzate in ambiente   //
//                        tracciati (CD-PD_2.EXP)                                 //
//                                                                                //
//  HighC Metaware Ver. 1.71                                                      //
//                                                                                //
//  Scritto da: Stefania Martinelli                                               //       //
//                                                                                //
//  RELEASE: 2.00     DATA: maggio 1994  AGGIORNAMENTO:  maggio 1994              //
//                                                                                //
//  COPYRIGHT    (C)  DIGICORP Ingegneria S.r.l. - 1994                           //
//                                                                                //
////////////////////////////////////////////////////////////////////////////////////
*/



	        
impostansez : boxed_row
{
	: row
	{
		: column
		{
		      fixed_heigth = true;
		      : row
			{
			 : text
			   {
			    label = "Tipo        "; key = "t_tipo";
			   }
			 : popup_list
			   {
			    key = "tipo"; list = "1\n2\n3";
			    fixed_width = true;
			   }
			} /* row */
		      : row
			{
			 : text
			   {
			    label = "Altezza testo [mm plottati] "; key = "t_h";
			   }
			 : edit_box
			   {
			    key = "h"; fixed_width = true;
			   }
			} /* row */
		      : row
			{
			 : text
			   {
			    label = "Scostamento Testo-Linea [mm plot.]"; key = "t_sco";
			   }
			 : edit_box
			   {
			    key = "sco"; fixed_width = true;
			   }
			} /* row */
			: row
			{
				: toggle
				{
					label = "Disegna Linea di collegamento testo"; key = "dislinea";
				}
			}
			: row
			{
			 	: edit_box
			   	{
			    		label = "Lunghezza [mm plot.]"; key = "lunglinea"; fixed_width = true;
			   	}
			 	: edit_box
			   	{
			    		label = "Spessore [mm plot.]"; key = "speslinea"; fixed_width = true;
			   	}
			}
		      : boxed_row
			{
				: toggle
				{
					label = "Disegna Nome"; key = "disnome";
				}
			 	: edit_box
			   	{
			    		label = "Prefisso"; key = "prefnome"; fixed_width = true;
			   	}

			}
			: boxed_column
			{
		      		: row
				{
					: toggle
					{
						label = "Disegna Progressiva"; key = "disprog";
					}

			 		: edit_box
			   		{
			    			label = "Prefisso"; key = "prefprog"; width = 5;edit_limit = 10;
					}
				}
				: row
				{
					fixed_width = true;
			 		: popup_list
			   		{
			   	 		label = "decimali"; key = "decprog"; list = "0\n1\n2\n3\n4\n5\n6\n"; fixed_width = true;
			   		}
			 		: popup_list
			   		{
			   	 		label = "  Tipo"; key = "tipoprog"; list = "1234.25\n1+234.25\nKm 1+234.25\n"; fixed_width = true;width = 25;

			   		}
			   	}
			} /* row */


		} /* column */
		: column
		{
			: image
			{
				fixed_height = true; fixed_width = true;
				width = 30; height = 10; key = "simb";
			}
		       	: row
			{
			 	: boxed_radio_column
				{
					label = "Orientamento"; fixed_width = true;
					fixed_height = true;
					key = "or";
					: radio_button
					{
						label = "Orizzontale"; key = "vert"; 
					}
					: radio_button
					{
						label = "Allineato"; key = "all"; 
					}
				} /* boxed_radio_column */
				: boxed_radio_column
				{
					label = "Posizione"; fixed_width = true;
					fixed_height = true;
					key = "pos";
					: radio_button
					{
						label = "Dx       "; key = "dx"; 
					}
					: radio_button
					{
						label = "Sx       "; key = "sx"; 
					}
				} /* boxed_radio_column */
			} /* column */
		   	: boxed_radio_row
		     	{
		      		label = "Posizione Nome-Progressiva"; key = "posizione"; fixed_width = true;
		      		: radio_button
				{
			 		label = "Unico lato";
			 		key = "lato1"; 
				}
		      		: radio_button
				{
			 		label = "Lati opposti"; key = "lato2";
				}
		      	} /* radio_column */
		} /* row */

	}
} /* boxed_row */

/* ------------------------- DlgNoSez -------------------------------------*/
DlgNoSez : dialog
	   {
	    label = "Avvertimento CIVIL Design";
	    initial_focus = "accept";
	    : spacer { height = 1; }
	    : paragraph
	      {
	       : text_part
		 {
		  label = "Non ci sono sezioni sul piano";
		 }
	       : text_part
		 {
		  key = "layer"; width = 15;
		 }
	      } /* paragraph */
	      : spacer { height = 1; }
	      ok_only;
	   } /* end dialog */
/* -------------------------- EdaModDlg -----------------------------------*/
/* dialog per l'input dati per l'estrazione delle sezioni da modello       */
EdaModDlg : dialog
{
	label = "Estrazione Sezioni da Superfici o Punti";
	: row
	{
		
		: text
		{
			label = "Tracciato:  ";
		}
		: text
		{
			key = "asse"; width = 15;
		}
		: text
		{
			label = "                     Layer Sezioni: ";
		}
		: text
		{
			key = "layer"; width = 20;
		}
		: button
		{
			label = "Seleziona <"; key = "sellayer";
			fixed_width = true;
		}
	} /* boxed_row */
	: row
	{
		: column
		{
			: concatenation
			{
				: text_part
				{
					label = "N.   ";
				}
				: text_part
				{
					label = "      Nome        ";
				}
				: text_part
				{
					label = "      prog.   ";
				}
				: text_part
				{
					label = "       S/N";
				}
			} /* concatenation */
			: list_box
			{
				tabs = "6 22 38 50"; key = "l_sez";
				width = 55; height = 18; fixed_width = true;
				multiple_select = true;
			}
			: row
			{
				
				: button
				{
					label = "Sel. Tutto"; key = "selt"; 
				}
				: button
				{
					label = "Via Tutto"; key = "viat";
				}
				: button
				{
					label = "S/N"; key = "sn";
				}
			} /* row */
		} /* column */


		: boxed_column
		{
			label  = "Opzioni di disegno";
			: toggle
			{
				label = "Eliminazione punti allineati";
				key = "elimin_punti"; value = "1";
			} /* toggle */
			: toggle
			{
				label = "Disegna Sezioni 3D sul Modello";
				key = "dismod";
			} /* toggle */

			: toggle
			{
				label = "Disegna Sezioni in cartiglio";
				key = "dissez";
			} /* toggle */
			: boxed_row
		    {
				label = "Selezione cartiglio";
				fixed_width = true;
				: row
				{
					fixed_width = true;	
					: text
					{
						label = "Cartiglio: ";width = 10;
					}

					: text
					{
						key = "nomecart"; width = 30;
					}
					: button
					{
						label = "Sel..."; key = "selnomecart";width = 6;
					}
				}
			}
			: boxed_radio_row
		    {
				label = "Vista sezioni"; key = "vistas";
				: radio_button
				{
					label = "avanti  "; key = "av";
				}
				: radio_button
				{
					label = "indietro"; key = "ind"; 
				}
			} /* boxed_column */
			: boxed_row
			{
				label = "Quota di riferimento";
				: radio_column
				{
					key = "qrif";
					: radio_button
					{
						label = "Centrata"; key = "qrifott"; 
					}
					: radio_button
					{
						label = "Dal fondo cartigli [m]"; key = "qrifimp";
					}
					: radio_button
					{
						label = "Fissa [m]"; key = "qriffissa";
					}
					:text
					{
			   	 		label = "N. decimali";	key = "t_ndecqrif";
					}
				}
				: column
				{
					fixed_width = true;
					: text
					{
						label = "       ";
					}

					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "cddisqr"; width = 15;
						}
						/*: text
						{
							key = "t_cddisqr"; label = "dal fondo";width = 10;
						}*/
					}
					: row
					{
						fixed_width = true;

						: edit_box
						{
							key = "qrfissa"; value = 0;width = 15;
						}
						/*: text
						{
							label = "           ";width = 10;
						}*/

					}
					: popup_list
			   		{
			   	 		key = "ndecqrif"; list = "0\n1\n2\n3\n4\n5\n6\n"; width = 15; fixed_width = true;
			   		}

				}
			} /* boxed_column */
		} /* boxed_row */
	}
	: column
	{
		: boxed_row
		{
			label = "Tipo di modello";
			: radio_column
			{
				key = "modello";
				: radio_button
				{
					label = "DTM 3DFACCIA (Modello a triangoli)";
					key = "3dfaccia";
				}
				: radio_button
				{
					label = "POLILINEE 2D/3D (Curve di livello)";
					key = "pline"; 
				}
				: radio_button
				{
					label = "Nuvola di Punti tipo Galleria";
					key = "point_tunnel"; 
				}
				: radio_button
				{
					label = "Nuvola di Punti Generico";
					key = "point"; 
				}
				: radio_button
				{
					label = "SOLIDO (Modello da solidi)";
					key = "solid"; 
				}
				/*: radio_button*/
				/*{*/
				/*label = "DTM 3DRETE (Griglia a maglia regolare)";*/
				/*key = "3drete"; value = 0;*/
				/*}*/
			} /* radio column */
			: column
			{	
				fixed_width = true;
				/* testo inserito solo per allineare 
				i testi precedenti */
				/*: text { label = ""; }*/

				: edit_box
				{
					label = "Fattore di amplificazione distanza di ricerca laterale"; key = "fatt_est"; width = 10;
				}
				: boxed_column
				{
					label = "Informazioni aggiuntive per nuvole punti";
					: edit_box
					{
						label = "Tolleranza per sfoltimento punti "; key = "toll_pnt_allineati"; width = 10;
					}

					: edit_box
					{
						label = "Distanza media fra punti rilevati"; key = "dist_media"; width = 10;
					}
					: toggle
					{
						label = "Sezione unica su nuvole sovrapposte";
						key = "unique_section"; value = "0";
					} // toggle 
				}
				: edit_box
				{
					label = "Scostamento massimo per discretizzazione curve"; key = "dist_cord"; width = 10;
				}

			}
		} /* boxed_column */
		: boxed_row
		{
			label = "Layer modello";
			: column
			{
				: radio_column
				{
					key = "laymod";
					: radio_button
					{
						label = "Tutti"; key = "alllay";
						value = 1; alignment = left;
					}
					: radio_button
					{
						label = "Solo layer"; key = "singlay";
						value = 0; alignment = right;
					}
				} /* radio_column */
			} /* column */
			: column
			{
				 /* testo inserito solo per allineare 
					i testi precedenti */
				: text { label = ""; }
				: row
				{
					: text
					{
						key = "nomelay"; width = 20;
						fixed_width = true;
						is_enabled = false; value = "";
					}
					: button
					{
						label = "Seleziona <"; fixed_width = true;
						key = "SelModLay";
						is_enabled = false; alignment = right;
					} /* button */
				} /* row */
			} /* column */
		} /* boxed_row */
	}
	errtile;
	ok_cancel_help;
} /* end dialog */
